import 'dart:convert';

class TextDecoder extends Converter<String, String> {
  final String Function(int id) _replace;

  TextDecoder(this._replace);

  @override
  String convert(String input) {
    return input.replaceAllMapped(RegExp(r'"@(\d+)"'), (Match match) {
      return _replace(int.parse(match[1]!));
    });
  }
}
